SMSSiteServer (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.sms.SMSSiteServer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.sms
Interface SMSSiteServer

All Superinterfaces:
  AppServer, ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, Version

    public interface SMSSiteServer

extends AppServer, Version, ConfigurationItem

SMS_Site class contains identification and status data for an SMS site installation.

Persistable:
  true
Table Name:
  APPSSMS
Display Name:
  siteName

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.app.AppServer
`RUNNING, STOPPED`

Method Summary
`SMSSiteServer[]` | `getChilds()`
`java.lang.String` | `getInstallDir()` Directory to which SMS was installed.
`int` | `getLocaleId()`
`SMSSiteServer` | `getParent()`
`java.lang.String` | `getProviderServer()`
`java.lang.String` | `getReportingSiteCode()` Parent site code.
`java.lang.String` | `getRequestedStatus()` Request secondary site status.
`java.lang.String` | `getServerName()` Server name of the site on which SMS is installed.
`java.lang.String` | `getServiceAccountName()`
`java.lang.String` | `getSiteCode()` Site code for the site.
`java.lang.String` | `getSiteName()` Name of the site.
`int` | `getSiteType()` Type of site, either primary or secondary.
`SMSAdvertizements[]` | `getSMSAdvertisements()`
`SMSHierarchy` | `getSMSHierarchy()`
`SMSPackage` | `getSMSPackage()`
`SMSServerProcess[]` | `getSMSServerProcess()`
`SMSSiteBoundaries[]` | `getSMSSiteBoundaries()`
`SMSSiteComponents[]` | `getSMSSiteComponents()`
`int` | `getSMSStatus()` Current status of the site.
`java.lang.String` | `getTimeZoneInfo()` Site server time zone represented as a Win32 TIME_ZONE_INFORMATION structure that is returned by the Win32 GetTimeZoneInformation method
`boolean` | `hasChilds()`
`boolean` | `hasInstallDir()`
`boolean` | `hasLocaleId()`
`boolean` | `hasParent()`
`boolean` | `hasProviderServer()`
`boolean` | `hasReportingSiteCode()`
`boolean` | `hasRequestedStatus()`
`boolean` | `hasServerName()`
`boolean` | `hasServiceAccountName()`
`boolean` | `hasSiteCode()`
`boolean` | `hasSiteName()`
`boolean` | `hasSiteType()`
`boolean` | `hasSMSAdvertisements()`
`boolean` | `hasSMSHierarchy()`
`boolean` | `hasSMSPackage()`
`boolean` | `hasSMSServerProcess()`
`boolean` | `hasSMSSiteBoundaries()`
`boolean` | `hasSMSSiteComponents()`
`boolean` | `hasSMSStatus()`
`boolean` | `hasTimeZoneInfo()`
`void` | `setChilds(SMSSiteServer[] x)`
`void` | `setInstallDir(java.lang.String x)`
`void` | `setLocaleId(int x)`
`void` | `setParent(SMSSiteServer x)`
`void` | `setProviderServer(java.lang.String x)`
`void` | `setReportingSiteCode(java.lang.String x)`
`void` | `setRequestedStatus(java.lang.String x)`
`void` | `setServerName(java.lang.String x)`
`void` | `setServiceAccountName(java.lang.String x)`
`void` | `setSiteCode(java.lang.String x)`
`void` | `setSiteName(java.lang.String x)`
`void` | `setSiteType(int x)`
`void` | `setSMSAdvertisements(SMSAdvertizements[] x)`
`void` | `setSMSHierarchy(SMSHierarchy x)`
`void` | `setSMSPackage(SMSPackage x)`
`void` | `setSMSServerProcess(SMSServerProcess[] x)`
`void` | `setSMSSiteBoundaries(SMSSiteBoundaries[] x)`
`void` | `setSMSSiteComponents(SMSSiteComponents[] x)`
`void` | `setSMSStatus(int x)`
`void` | `setTimeZoneInfo(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.app.AppServer
`getAppDescriptors, getConfigContents, getConfigFile, getContainers, getExecutable, getExecutableName, getHost, getKeyName, getModules, getName, getPrimarySAP, getProcessPools, getProductName, getProductVersion, getResources, getSoftwareInstallation, getStatus, getVendorName, getZReportFiles, hasAppDescriptors, hasConfigContents, hasConfigFile, hasContainers, hasExecutable, hasExecutableName, hasHost, hasKeyName, hasModules, hasName, hasPrimarySAP, hasProcessPools, hasProductName, hasProductVersion, hasResources, hasSoftwareInstallation, hasStatus, hasVendorName, hasZReportFiles, setAppDescriptors, setConfigContents, setConfigFile, setContainers, setExecutable, setExecutableName, setHost, setKeyName, setModules, setName, setPrimarySAP, setProcessPools, setProductName, setProductVersion, setResources, setSoftwareInstallation, setStatus, setVendorName, setZReportFiles`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Methods inherited from interface com.collation.platform.model.topology.core.Version
`getBuildLevel, getLevel, getMajorVersion, getModifier, getRelease, getVersionString, hasBuildLevel, hasLevel, hasMajorVersion, hasModifier, hasRelease, hasVersionString, setBuildLevel, setLevel, setMajorVersion, setModifier, setRelease, setVersionString`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getServerName

    java.lang.String getServerName()
                                   throws AttributeNotSetException

  Server name of the site on which SMS is installed.

  Throws:
    `AttributeNotSetException`

### setServerName

    void setServerName(java.lang.String x)

### hasServerName

    boolean hasServerName()

### getSiteCode

    java.lang.String getSiteCode()
                                 throws AttributeNotSetException

  Site code for the site.

  Throws:
    `AttributeNotSetException`

### setSiteCode

    void setSiteCode(java.lang.String x)

### hasSiteCode

    boolean hasSiteCode()

### getSiteName

    java.lang.String getSiteName()
                                 throws AttributeNotSetException

  Name of the site.

  Throws:
    `AttributeNotSetException`

### setSiteName

    void setSiteName(java.lang.String x)

### hasSiteName

    boolean hasSiteName()

### getSMSAdvertisements

    SMSAdvertizements[] getSMSAdvertisements()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.LocatedAt" reverse="true"

### setSMSAdvertisements

    void setSMSAdvertisements(SMSAdvertizements[] x)

### hasSMSAdvertisements

    boolean hasSMSAdvertisements()

### getInstallDir

    java.lang.String getInstallDir()
                                   throws AttributeNotSetException

  Directory to which SMS was installed.

  Throws:
    `AttributeNotSetException`

### setInstallDir

    void setInstallDir(java.lang.String x)

### hasInstallDir

    boolean hasInstallDir()

### getReportingSiteCode

    java.lang.String getReportingSiteCode()
                                          throws AttributeNotSetException

  Parent site code. This value might be blank.

  Throws:
    `AttributeNotSetException`

### setReportingSiteCode

    void setReportingSiteCode(java.lang.String x)

### hasReportingSiteCode

    boolean hasReportingSiteCode()

### getSMSHierarchy

    SMSHierarchy getSMSHierarchy()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="false"

### setSMSHierarchy

    void setSMSHierarchy(SMSHierarchy x)

### hasSMSHierarchy

    boolean hasSMSHierarchy()

### getLocaleId

    int getLocaleId()
                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLocaleId

    void setLocaleId(int x)

### hasLocaleId

    boolean hasLocaleId()

### getTimeZoneInfo

    java.lang.String getTimeZoneInfo()
                                     throws AttributeNotSetException

  Site server time zone represented as a Win32 TIME_ZONE_INFORMATION structure that is returned by the Win32 GetTimeZoneInformation method

  Throws:
    `AttributeNotSetException`

### setTimeZoneInfo

    void setTimeZoneInfo(java.lang.String x)

### hasTimeZoneInfo

    boolean hasTimeZoneInfo()

### getSiteType

    int getSiteType()
                    throws AttributeNotSetException

  Type of site, either primary or secondary. Values are: SECONDARY (1) PRIMARY (2)

  Throws:
    `AttributeNotSetException`

### setSiteType

    void setSiteType(int x)

### hasSiteType

    boolean hasSiteType()

### getServiceAccountName

    java.lang.String getServiceAccountName()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServiceAccountName

    void setServiceAccountName(java.lang.String x)

### hasServiceAccountName

    boolean hasServiceAccountName()

### getSMSPackage

    SMSPackage getSMSPackage()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.LocatedAt" reverse="true"

### setSMSPackage

    void setSMSPackage(SMSPackage x)

### hasSMSPackage

    boolean hasSMSPackage()

### getSMSServerProcess

    SMSServerProcess[] getSMSServerProcess()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setSMSServerProcess

    void setSMSServerProcess(SMSServerProcess[] x)

### hasSMSServerProcess

    boolean hasSMSServerProcess()

### getParent

    SMSSiteServer getParent()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="true"

### setParent

    void setParent(SMSSiteServer x)

### hasParent

    boolean hasParent()

### getChilds

    SMSSiteServer[] getChilds()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="false"

### setChilds

    void setChilds(SMSSiteServer[] x)

### hasChilds

    boolean hasChilds()

### getSMSStatus

    int getSMSStatus()
                     throws AttributeNotSetException

  Current status of the site. Values are: ACTIVE (1) PENDING (2) FAILED (3) DELETED (4) UPGRADE (5)

  Throws:
    `AttributeNotSetException`

### setSMSStatus

    void setSMSStatus(int x)

### hasSMSStatus

    boolean hasSMSStatus()

### getSMSSiteComponents

    SMSSiteComponents[] getSMSSiteComponents()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setSMSSiteComponents

    void setSMSSiteComponents(SMSSiteComponents[] x)

### hasSMSSiteComponents

    boolean hasSMSSiteComponents()

### getProviderServer

    java.lang.String getProviderServer()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProviderServer

    void setProviderServer(java.lang.String x)

### hasProviderServer

    boolean hasProviderServer()

### getRequestedStatus

    java.lang.String getRequestedStatus()
                                        throws AttributeNotSetException

  Request secondary site status.

  Throws:
    `AttributeNotSetException`

### setRequestedStatus

    void setRequestedStatus(java.lang.String x)

### hasRequestedStatus

    boolean hasRequestedStatus()

### getSMSSiteBoundaries

    SMSSiteBoundaries[] getSMSSiteBoundaries()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="false"

### setSMSSiteBoundaries

    void setSMSSiteBoundaries(SMSSiteBoundaries[] x)

### hasSMSSiteBoundaries

    boolean hasSMSSiteBoundaries()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD